> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OpenAPI Spec

> Connect AI supports the OpenAPI specification version 2.0 and 3.0, allowing you to connect no-code/low-code applications that integrate with OpenAPI easily. Connect AI allows you to download an OpenAPI document from a workspace.




## OpenAPI

````yaml GET /{version}/{workspaceName}
openapi: 3.0.1
info:
  title: CData Connect AI OpenAPI API
  version: v1
servers:
  - url: https://cloud.cdata.com/api/openapi
    description: Production base OpenAPI URL
security:
  - Basic: []
paths:
  /{version}/{workspaceName}:
    get:
      tags:
        - OpenAPI
      summary: Get OpenAPI Spec
      description: >
        Connect AI supports the OpenAPI specification version 2.0 and 3.0,
        allowing you to connect no-code/low-code applications that integrate
        with OpenAPI easily. Connect AI allows you to download an OpenAPI
        document from a workspace.
      parameters:
        - name: version
          in: path
          required: true
          schema:
            type: string
        - name: workspaceName
          in: path
          required: true
          schema:
            type: string
        - name: convertArraysToStrings
          in: query
          schema:
            type: boolean
        - name: requesturl
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
      description: >-
        Basic Authentication with username and password. Use your PAT as the
        password. You can get your PAT from Connect AI by selecting **Settings**
        > **Access Tokens**.

````